package com.chelvc.cloud.vehicle.api.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 商家评论更新参数
 * @author xp
 * @data 2023/3/31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CommentModifyParam implements Serializable {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 商家id
     */
    @NotNull(message = "商家不能为空")
    private Long merchantId;

    /**
     * 评论内容
     */
    @NotBlank(message = "评论内容不能为空")
    private String content;

    /**
     * 附件
     */
    private List<String> attachments;

    /**
     * 浏览量
     */
    private Integer viewCount;

    /**
     * 点赞量
     */
    private Long approveCount;

    /**
     * 状态
     */
    private String status;


}
