package com.chelvc.cloud.vehicle.api.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 商家更新参数
 * @author xp
 * @data 2023/3/31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantModifyParam implements Serializable {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 分销用户id
     */
    private Long referrerId;

    /**
     * 商家名称
     */
    private String name;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 封面
     */
    private String cover;

    /**
     * 联系人
     */
    private String liaison;

    /**
     * 联系电话
     */
    private String mobile;

    /**
     * 商家等级
     */
    private Integer level;

    /**
     * 区域id
     */
    private Long regionId;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 经度
     */
    private Double longitude;

    /**
     * 详细介绍
     */
    private String description;

    /**
     * 状态
     */
    private String status;


}
