package com.chelvc.cloud.vehicle.api.param;

import com.chelvc.framework.base.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 商家分页查询参数
 *
 * @author xp
 * @data 2023/3/31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantPagingParam implements Serializable {

    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;

    /**
     * 关键字
     */
    @Size(max = 100, message = "关键字长度不能大于100")
    private String keyword;

    /**
     * 用户所在纬度(附近商家传)
     */
    private Double latitude;

    /**
     * 用户所在经度(附近商家传)
     */
    private Double longitude;

    /**
     * 要查看半径多少公里内的商家;单位km(附近商家传)
     */
    private Double radius;
}
