package com.chelvc.cloud.vehicle.server.copier;


import com.chelvc.cloud.vehicle.api.dto.CommentDTO;
import com.chelvc.cloud.vehicle.api.param.CommentModifyParam;
import com.chelvc.cloud.vehicle.server.entity.Comment;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

/**
 * 商家评论对象拷贝接口
 *
 * @author xp
 * @data 2023/3/31
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface CommentCopier {

    /**
     * 对象拷贝接口实例
     */
    CommentCopier INSTANCE = Mappers.getMapper(CommentCopier.class);

    /**
     * 商家评论信息拷贝
     *
     * @param comment 商家评论信息
     * @return 商家评论信息
     */
    CommentDTO copying(Comment comment);

    /**
     * 商家评论信息拷贝
     *
     * @param param 商家评论更新参数
     * @return 商家评论信息
     */
    Comment copying(CommentModifyParam param);

    /**
     * 商家评论信息拷贝
     *
     * @param param  商家评论更新参数
     * @param comment 商家评论信息
     */
    void copying(CommentModifyParam param, @MappingTarget Comment comment);

}
