package com.chelvc.cloud.vehicle.server.copier;


import com.chelvc.cloud.vehicle.api.dto.MerchantDTO;
import com.chelvc.cloud.vehicle.api.param.MerchantModifyParam;
import com.chelvc.cloud.vehicle.server.entity.Merchant;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

/**
 * 商家对象拷贝接口
 *
 * @author xp
 * @data 2023/3/31
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface MerchantCopier {

    /**
     * 对象拷贝接口实例
     */
    MerchantCopier INSTANCE = Mappers.getMapper(MerchantCopier.class);

    /**
     * 商家信息拷贝
     *
     * @param merchant 商家信息
     * @return 商家信息
     */
    MerchantDTO copying(Merchant merchant);

    /**
     * 商家信息拷贝
     *
     * @param param 商家更新参数
     * @return 商家信息
     */
    Merchant copying(MerchantModifyParam param);

    /**
     * 商家信息拷贝
     *
     * @param param  商家更新参数
     * @param merchant 商家信息
     */
    void copying(MerchantModifyParam param, @MappingTarget Merchant merchant);

}
