package com.chelvc.cloud.vehicle.server.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.api.dto.CommentDTO;
import com.chelvc.cloud.vehicle.api.param.CommentModifyParam;
import com.chelvc.cloud.vehicle.api.param.CommentPagingParam;
import com.chelvc.cloud.vehicle.server.entity.Comment;
import com.chelvc.framework.base.model.Pagination;

/**
 * 商家评论业务接口
 *
 * @author xp
 * @data 2023/3/31
 */
public interface CommentService extends IService<Comment> {

    /**
     * 添加商家评论
     *
     * @param param 新增参数
     * @return 商家评论主键
     */
    Long addComment(CommentModifyParam param);

    /**
     * 更新商家评论
     *
     * @param param 更新参数
     * @param id 主键
     */
    void updateComment(Long id, CommentModifyParam param);

    /**
     * id查找商家评论信息
     *
     * @param id 主键
     * @return
     */
    CommentDTO getComment(Long id);

    /**
     * 分页查询 主键
     *
     * @param param 分页参数
     * @return
     */
    Pagination<CommentDTO> getCommentPaging(CommentPagingParam param);

    /**
     * 浏览量加一
     *
     * @param id 主键
     * @return
     */
    Boolean addViewNumOne(Long id);

    /**
     * 点赞
     *
     * @param id 主键
     * @return
     */
    Boolean addThumbsUpOne(Long id);

    /**
     * 取消点赞
     *
     * @param id
     * @return
     */
    Boolean cancelThumbsUp(Long id);

}
